Skip to main content
GET
/
v1
/
metrics
/
alerts
Get Alert Metrics
curl --request GET \
  --url https://api.example.com/v1/metrics/alerts
{
  "data": {
    "period_from": "2023-11-07T05:31:56Z",
    "period_to": "2023-11-07T05:31:56Z",
    "total_alerts": 123,
    "alerts_by_status": {},
    "alerts_by_severity": {},
    "alerts_by_source": {},
    "alerts_over_time": [
      {}
    ],
    "false_positive_rate": 123,
    "mean_time_to_enrich": 123,
    "mean_time_to_detect": 123,
    "mean_time_to_acknowledge": 123,
    "mean_time_to_triage": 123,
    "mean_time_to_conclusion": 123,
    "active_alerts_by_severity": {},
    "top_detection_rules": [
      {}
    ],
    "enrichment_coverage": 123
  },
  "meta": {}
}

Query Parameters

from_time
string<date-time> | null
to_time
string<date-time> | null

Response

Successful Response

data
AlertMetricsResponse · object
required
meta
Meta · object